<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

if(!defined('WB_PATH')) die(header('Location: index.php'));  

function get_list ($coufilter,$locfilter,$catfilter,$comfilter) {
	global $database;
	$morewhere  = $coufilter ? " AND `country` = '$coufilter'" : '';
	$morewhere .= $locfilter ? " AND `location` = '$locfilter'" : '';
	$morewhere .= $catfilter ? " AND `category` = '$catfilter'" : '';
	$morewhere .= $comfilter ? " AND `company`  = '$comfilter'" : '';
	$ret['company'] = array();
	$ret['country'] = array();
	$ret['location'] = array();
	$ret['category'] = array();
	$res = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_jobs` WHERE `active` = '1' $morewhere");
	if($res && $res->numRows() > 0) {
		while ($row = $res->fetchRow() ) {
			if(!in_arrayi( $row['company'] , $ret['company']))  $ret['company'][]  = ucwords(strtolower($row['company']));
			if(!in_arrayi( $row['country'] , $ret['country']))  $ret['country'][]  = ucwords(strtolower($row['country']));
			if(!in_arrayi( $row['location'], $ret['location'])) $ret['location'][] = ucwords(strtolower($row['location']));
			if(!in_arrayi( $row['category'], $ret['category'])) $ret['category'][] = ucwords(strtolower($row['category']));
		}
	}
	return $ret;
}

function c_select($arr, $name, $current = '', $default = '--') {
	global $JT;
	$ret = "<select style='width:99%;' name='$name' onchange='this.form.submit();'>";
	$ret .= "<option value=''>".$default."</option>";
	foreach ($arr as $value) {
		$sel = strtolower($current) == strtolower($value) ? " selected='selected' ":"";
		$ret .= "<option $sel value='$value'>$value</option>";
	}
	$ret .= "</select>";
	return $ret;
}
function in_arrayi($needle, $haystack) {
	return in_array(strtolower($needle), array_map('strtolower', $haystack));
}

function fileOK ($filetype) {
	// Set the array of valid extensions
	// Add any you wish. Ensure all are lower case
	$okfiles = array (
		"text/plain", // .txt
		"application/pdf",  // .pdf 
		"application/msword", // .doc 
		"application/doc",
		"appl/text",
		"application/vnd.msword",
		"application/vnd.ms-word",
		"application/winword",
		"application/word"
	);

	// Check the filetype supplied
	if (in_array (strtolower ($filetype), $okfiles)) {
		return true;
	} else {
		return false;
	}
}
function filecheck($file) {	
	$pp = pathinfo($file);
	if(file_exists($file)){
		$rand = rand(1,999);		
		$file = $pp['dirname']."/".$rand.'_'.$pp['basename'];
		return filecheck($file);
	}else{
		$file = $pp['dirname']."/".$pp['basename'];
		return $file;
	}
}
