<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// delete existing module DB-table (start with a clean database)
$database->query("DROP TABLE IF EXISTS `" .TABLE_PREFIX ."mod_jobs`");

// create a new, clean module DB-table (you need to change the fields added according your needs!!!)
$mod_create_table = 'CREATE TABLE `' .TABLE_PREFIX .'mod_jobs` ( '
	. '`id` INT NOT NULL auto_increment,'
	. '`section_id` INT NOT NULL DEFAULT \'0\','
	. '`page_id` INT NOT NULl DEFAULT \'0\','
	. '`active` INT(1) NOT NULL DEFAULT \'1\','
	. '`visible` INT(1) NOT NULL DEFAULT \'0\','
	. '`job_id` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`category` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`company` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`position_description` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`full_description` TEXT NOT NULL DEFAULT \'\','
	. '`location` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`country` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`education` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`resource_manager` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`notification_address` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`start_date` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`hours` VARCHAR(255) NOT NULL DEFAULT \'\','
	. '`timestamp` INT NOT NULL DEFAULT \'0\','
	. '`last_update` INT NOT NULL DEFAULT \'0\','
	. 'PRIMARY KEY (id)'
	. ' ) AUTO_INCREMENT=1';
$database->query($mod_create_table);
$mod_create_table ="CREATE TABLE ".TABLE_PREFIX."mod_job_resumes (
  id int(11) NOT NULL auto_increment,
  section_id int(11) NOT NULL default '0',
  page_id int(11) NOT NULL default '0',
  jobs_fk int(11) NOT NULL default '0',
  job_id varchar(255) NOT NULL default '',
  contact_name varchar(255) NOT NULL default '',
  home_phone varchar(255) NOT NULL default '',
  cell_phone varchar(255) NOT NULL default '',
  city varchar(255) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  state varchar(255) NOT NULL default '',
  zip varchar(255) NOT NULL default '',
  country varchar(255) NOT NULL default '',
  resume varchar(255) NOT NULL default '',
  comment TEXT NOT NULL default '',
  timestamp INT NOT NULL default '0',
  PRIMARY KEY  (id)
) AUTO_INCREMENT=1" ;
$database->query($mod_create_table);

/**
*	ADD THE CODE BELOW TO YOUR install.php FILE IF YOU WANT THAT USERS CAN SEARCH INFORMATION STORED
*	IN YOUR MODUL DB-TABLES. IF YOUR MODULE DB-TABLES DO NOT CONTAIN ANY INFORMATION YOU WANT BE FOUND
*	BY THE WB SEARCH FUNCTION, SIMLY DELETE THE LINES BELOW. 
*  NOTE: DO NOT DELETE THE VERY LAST LINE CONTAINING THE CLOSING PHP TAG ?>
*/

?>