<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

global $JT;
$JT['F_TITLE'] 			= 'Search your new job';
$JT['F_COUNTRY'] 		= 'Country';
$JT['F_LOCATION'] 		= 'Location';
$JT['F_CATEGORY'] 		= 'Category';
$JT['F_COMPANY'] 		= 'Company';
$JT['F_FILTER'] 		= 'Filter results';
$JT['F_ALL_COUNTRY'] 	= '-- Filter by country --';
$JT['F_ALL_COMPANY'] 	= '-- Filter by company --';
$JT['F_ALL_LOCATION'] 	= '-- Filter by location --';
$JT['F_ALL_CATEGORY'] 	= '-- Filter by category --';
$JT['F_RESET'] 			= 'Show all';

$JT['O_TITLE'] 			= 'Jobs Listing';
$JT['O_LINK'] 			= 'Action';
$JT['O_DETAILS'] 		= 'Details';

$JT['S_TITLE'] 			= 'Submissions';

$JT['_JOB_ID'] 			= 'Job ID';
$JT['_ACTIVE'] 			= 'Active';
$JT['_VISIBLE'] 		= 'Keep details visible if not active';
$JT['_VIS'] 			= 'Visible';
$JT['_CATEGORY'] 		= 'Category';
$JT['_COMPANY'] 		= 'Company';
$JT['_SHORT_DESC'] 		= 'Title';
$JT['_FULL_DESC'] 		= 'Full Description';
$JT['_LOCATION'] 		= 'Location';
$JT['_COUNTRY'] 		= 'Country';
$JT['_EDUCATION'] 		= 'Required education';
$JT['_RESOURCE_MANAGER'] = 'Resource manager';
$JT['_NOTIFICATION_ADDRESS'] = 'Notification address';
$JT['_START_DATE'] 		= 'Start date of job';
$JT['_HOURS'] 			= 'Working hours for job';
$JT['_TIMESTAMP'] 		= 'Created';
$JT['_LAST_UPDATE'] 	= 'Last modification';
$JT['_APPLY'] 			= 'Click here to apply for this job';
$JT['_REQUIRED'] 		= '<font color="red">* Required Fields</font>';

$JT['_NAME'] 			= 'Name';
$JT['_EMAIL'] 			= 'Email address';
$JT['_HOME_PHONE'] 		= 'Phone';
$JT['_CELL_PHONE'] 		= 'Cell phone';
$JT['_CITY'] 			= 'City';
$JT['_ZIP'] 			= 'Postal code';
$JT['_COUNTRY'] 		= 'Country';
$JT['_STATE'] 			= 'State';
$JT['_ATTACHEMENT'] 	= 'Upload resume';
$JT['_COMMENT'] 		= 'Motivation statement';
$JT['_SUBMISSION_DATE'] = '<strong>Submission received</strong>';

$JT['_NO_RESULTS'] 		= 'No results for the current page';
$JT['_SUBMISSIONS']		= 'Submissions';
$JT['_EDIT'] 			= 'Edit';
$JT['_DELETE'] 			= 'Delete';
$JT['_SUBMIT'] 			= 'Send the form';
$JT['_RESET'] 			= 'Reset form';
$JT['_RETURN'] 			= 'Return to the listing';
$JT['_UPDATE'] 			= 'Update details';
$JT['_ADD_NEW'] 		= 'Add new job description';
$JT['_JOB_DETAILS'] 	= 'Edit Job Details';

$JT['R_SUCCES']			= 'Thank you for submitting your details. We will contact you as soon as possible.';
$JT['R_ERROR_1']		= 'Resume not uploaded. Please try again later.';
$JT['R_ERROR_2']		= 'Allowed file formats for resume are .pdf, .doc and .txt.';
$JT['R_ERROR_3']		= 'Resume size is too large to upload. Allowed size for Resume is 6MB.';
$JT['R_NOT_ALL']		= 'Please fill all required fields.';

$JT['SURE']				= "Are you sure you want to delete this record?";
$JT['NO']				= "<span style='background:#F00;color:#fff;padding:0 10px;'>No</span>";
$JT['YES']				= "<span style='background:#070;color:#fff;padding:0 10px;'>Yes</span>";

$JT['_MAIL_SUBJECT']	= 'Job Vacancy Submission';
$JT['_MAIL_DETAIL']		= 'Job details';
$JT['_MAIL_CANDIDATE']	= 'Candidate details';
?>