<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  
@include_once(WB_PATH .'/framework/module.functions.php');

if(!file_exists(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php')) {
	require_once(WB_PATH .'/modules/jobs/languages/EN.php');
} else {
	require_once(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php');
}
foreach ($JT as $key => $value) { $vars[] = "{".$key."}"; $values[] = $value; }
$vars[] = '{WB_URL}';			$values[] = WB_URL;
$vars[] = '{SECTION_ID}';		$values[] = $section_id;
$vars[] = '{PAGE_ID}';			$values[] = $page_id;
$header = file_get_contents(dirname(__FILE__).'/templates/modify_header.htt');
$header = str_replace($vars, $values, $header);
$footer = file_get_contents(dirname(__FILE__).'/templates/modify_footer.htt');
$footer = str_replace($vars, $values, $footer);

$sql_result = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_jobs` ORDER BY `id` DESC");
if($sql_result->numRows() > 0) { 
	$thebody = file_get_contents(dirname(__FILE__).'/templates/modify_item.htt');
	$body = '';
	while($data = $sql_result->fetchRow()){ 
		$vars = array(); $values=array();
		$id = $data['id'];
		foreach ($JT as $key => $value) { $vars[] = "{".$key."}"; $values[] = $value; }
		$vars[] = '{ID}';						$values[] = $data['id'];
		$vars[] = '{SECTION_ID}';				$values[] = $data['section_id'];
		$vars[] = '{PAGE_ID}';					$values[] = $data['page_id'];
		$vars[] = '{ACTIVE}'; 					$values[] = $data['active']?$JT['YES']:$JT['NO'];
		$vars[] = '{VISIBLE}'; 					$values[] = $data['active']?'-':($data['visible']?$JT['YES']:$JT['NO']);
		$vars[] = '{ACTIVE_STYLE}';				$values[] = 'color:'.($data['active']?'#000000;':($data['visible']?'#138000':'#FF0000;'));
		$vars[] = '{JOB_ID}';					$values[] = $data['job_id'];
		$vars[] = '{CATEGORY}';					$values[] = $data['category'];
		$vars[] = '{COMPANY}';					$values[] = $data['company'];
		$vars[] = '{SHORT_DESC}';				$values[] = $data['position_description'];
		$vars[] = '{FULL_DESC}';				$values[] = $data['full_description'];
		$vars[] = '{LOCATION}';					$values[] = $data['location'];
		$vars[] = '{COUNTRY}';					$values[] = $data['country'];
		$vars[] = '{EDUCATION}';				$values[] = $data['education'];
		$vars[] = '{RESOURCE_MANAGER}';			$values[] = $data['resource_manager'];
		$vars[] = '{NOTIFICATION_ADDRESS}';		$values[] = $data['notification_address'];
		$vars[] = '{START_DATE}';				$values[] = $data['start_date'];
		$vars[] = '{HOURS}';					$values[] = $data['hours'];
		$vars[] = '{WB_URL}';					$values[] = WB_URL;
		$vars[] = '{AREYOUSURE}';				$values[] = 'onclick="return confirm(\''.$JT['SURE'].'\')" ';
		$body .= str_replace($vars, $values, $thebody);
	}
	echo $header.$body.$footer;
} else {
	$output = file_get_contents(dirname(__FILE__).'/templates/noresults.htt');
	$output = str_replace($vars, $values, $output);
	echo $header.$output.$footer;
}
	