<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

require('../../config.php');
require(WB_PATH.'/modules/admin.php');
if(!defined('WB_PATH')) die(header('Location: index.php'));  
if(!file_exists(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php')) {
	require_once(WB_PATH .'/modules/jobs/languages/EN.php');
} else {
	require_once(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php');
}
foreach ($JT as $key => $value) { $t_vars[] = "{".$key."}"; $t_values[] = $value; }

$page_id = intval($_GET['page_id']);
$section_id = intval($_GET['section_id']);
$id = intval($_GET['id']);
if (isset($_REQUEST['del_id'])) {
	$del_id = intval($_REQUEST['del_id']);
	$database->query("delete FROM `" .TABLE_PREFIX ."mod_job_resumes` where id = '$del_id'");
};
$t_vars[] = '{WB_URL}';			$t_values[] = WB_URL;
$t_vars[] = '{SECTION_ID}';		$t_values[] = $section_id;
$t_vars[] = '{PAGE_ID}';		$t_values[] = $page_id;

$sql_result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_job_resumes` where jobs_fk = '$id'");
$header = file_get_contents(dirname(__FILE__).'/templates/submissions_header.htt');
$header = str_replace($t_vars, $t_values, $header);
$footer = file_get_contents(dirname(__FILE__).'/templates/submissions_footer.htt');
$footer = str_replace($t_vars, $t_values, $footer);
if ($sql_result && $sql_result->numRows() > 0) {
	$thebody = file_get_contents(dirname(__FILE__).'/templates/submissions_item.htt');
	$body = '';
	while ($row = $sql_result->fetchRow() ) {
		$vars = array();  $values=array();
		$vars[] = '{DEL_ID}';			$values[] = $row['id'];
		$vars[] = '{JOB_ID}';			$values[] = $row['jobs_fk'];
		$vars[] = '{NAME}';				$values[] = $row['contact_name'];
		$vars[] = '{EMAIL}';			$values[] = $row['email'];
		$vars[] = '{HOME_PHONE}';		$values[] = $row['home_phone'];
		$vars[] = '{CELL_PHONE}';		$values[] = $row['cell_phone'];
		$vars[] = '{CITY}';				$values[] = $row['city'];
		$vars[] = '{ZIP}';				$values[] = $row['zip'];
		$vars[] = '{STATE}';			$values[] = $row['state'];
		$vars[] = '{COUNTRY}';			$values[] = $row['country'];
		$vars[] = '{COMMENT}';			$values[] = nl2br($row['comment']);
		$vars[] = '{ATTACHEMENT}';		$values[] = $row['resume'];
		$vars[] = '{TIMESTAMP}';		$values[] = date(DATE_FORMAT.' - '.TIME_FORMAT,$row['timestamp']);
		$vars[] = '{TIMESTAMP_DATE}';	$values[] = date(DATE_FORMAT,$row['timestamp']);
		$vars[] = '{TIMESTAMP_TIME}';	$values[] = date(TIME_FORMAT,$row['timestamp']);
		$vars[] = '{AREYOUSURE}';		$values[] = 'onclick="return confirm(\''.$JT['SURE'].'\')" ';
		$tmpbody = str_replace($t_vars, $t_values, $thebody);
		$body .= str_replace($vars, $values, $tmpbody);
	}
	echo $header.$body.$footer;
} else {
	$output = file_get_contents(dirname(__FILE__).'/templates/noresults.htt');
	$output = str_replace($t_vars, $t_values, $output);
	echo $header.$output.$footer;
}

		
