<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

 // prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

if (!function_exists('db_add_field')) {
	function db_add_field($field, $table, $desc) {
		global $database;
		$query = $database->query("DESCRIBE $table '$field'");
		if(!$query || $query->numRows() == 0) { // add field
			$query = $database->query("ALTER TABLE $table ADD $field $desc");
			echo (mysql_error()?mysql_error().'<br />':'');
			$query = $database->query("DESCRIBE $table '$field'");
			echo (mysql_error()?mysql_error().'<br />':'');
		}
	}
}

//Upgrade from v1.0 to 2.0
$table = TABLE_PREFIX."mod_jobs";
db_add_field("active", $table, "INT(1) NOT NULL DEFAULT '1'");
db_add_field("visible", $table, "INT(1) NOT NULL DEFAULT '0'");
db_add_field("start_date", $table, "VARCHAR(255) NOT NULL DEFAULT '0'");
db_add_field("hours", $table, "VARCHAR(255) NOT NULL DEFAULT '0'");
db_add_field("education", $table, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("full_description", $table, "TEXT NOT NULL DEFAULT ''");
db_add_field("company", $table, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("category", $table, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("country", $table, "VARCHAR(255) NOT NULL default ''");
db_add_field("timestamp", $table, "INT NOT NULL default '0'");
db_add_field("last_update", $table, "INT NOT NULL default '0'");
$table = TABLE_PREFIX."mod_job_resumes";
db_add_field("country", $table, "VARCHAR(255) NOT NULL default ''");
db_add_field("comment", $table, "TEXT NOT NULL default ''");
db_add_field("timestamp", $table, "INT NOT NULL default '0'");

//Upgrade from v2.0 to 2.1



?>