<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

if(!defined('WB_PATH')) die(header('Location: index.php'));  
require_once(WB_PATH .'/modules/jobs/functions.php');
$id = intval(@$_REQUEST['id']);
if (isset($_GET['j'])) $id = hexdec($wb->add_slashes($_REQUEST['j'])) / 51893;
$success_msg = "";
$error_msg = "";
$err = 0;
$contact_name = "";
$home_phone = "";
$cell_phone = "";
$city = "";
$country = "";
$email = "";
$state = "";
$zip = "";
$comment = "";
	
//if(isset($_POST["Save"]) && $_POST["Save"]==$JT['_SUBMIT']){
if(isset($_POST["Save"])){
	$vars[] = '{STYLE_FORM}'; 	$values[] = 'display:block;';
	$vars[] = '{STYLE_LINK}'; 	$values[] = 'display:none;';
	$id 			= $wb->get_post_escaped('id');
	$job_id 		= $wb->get_post_escaped('job_id');
	$contact_name 	= $wb->get_post_escaped('contact_name');
	$home_phone 	= $wb->get_post_escaped('home_phone');
	$cell_phone 	= $wb->get_post_escaped('cell_phone');
	$city 			= $wb->get_post_escaped('city');
	$country 		= $wb->get_post_escaped('country');
	$email 			= $wb->get_post_escaped('email');
	$state 			= $wb->get_post_escaped('state');
	$zip 			= $wb->get_post_escaped('zip');
	$comment 		= $wb->get_post_escaped('comment');
	if(!$contact_name || !$home_phone || !$country || !$comment || !$email || !$_FILES["resume"]["name"]){
		$error_msg = $JT['R_NOT_ALL'];
	} else {
		if($_FILES['resume']['size'] <= 6291456){		
			if(fileOK($_FILES['resume']['type'])){
				$filename = $_FILES["resume"]["name"];
				$filename = str_replace(" ", "_",$filename);	
				$upload_file = dirname(__FILE__)."/resumes/".$filename;
				$upload_file = filecheck($upload_file);
				$base = pathinfo($upload_file);
				$file = $base['basename'];
				chmod(dirname(__FILE__)."/resumes",755);
				if(move_uploaded_file($_FILES["resume"]["tmp_name"],$upload_file)){		
					$now = time();
					$qry = "INSERT INTO ".TABLE_PREFIX."mod_job_resumes 
						( section_id , page_id , jobs_fk , job_id , contact_name , home_phone , cell_phone , city , email , state , zip , resume, country, comment, timestamp ) 
						VALUES 
						( '0', '0', '$id', '$job_id', '$contact_name', '$home_phone', '$cell_phone', '$city', '$email', '$state', '$zip', '$file', '$country', '$comment', '$now' )";
					$database->query($qry);
					//for sending details to mail

					$qry = "select * from ".TABLE_PREFIX ."mod_jobs where id = '$id'";
					$sql_result = $database->query($qry);
					if($sql_result->numRows() > 0) { 
						$data = $sql_result->fetchRow();
						if($data['notification_address']!=""){
							$vars[] = '{M_CONTACT_NAME}';			$values[] = $contact_name;
							$vars[] = '{M_HOME_PHONE}';				$values[] = $home_phone;
							$vars[] = '{M_CELL_PHONE}';				$values[] = $cell_phone;
							$vars[] = '{M_CITY}';					$values[] = $city;
							$vars[] = '{M_COUNTRY}';				$values[] = $country;
							$vars[] = '{M_EMAIL}';					$values[] = $email;
							$vars[] = '{M_STATE}';					$values[] = $state;
							$vars[] = '{M_ZIP}';					$values[] = $zip;
							$vars[] = '{M_COMMENT}';				$values[] = nl2br($comment);
							$vars[] = '{M_ATTACHEMENT}';			$values[] = WB_URL."/modules/jobs/resumes/".$file;
							$vars[] = '{JOB_ID}';					$values[] = $data['job_id'];
							$vars[] = '{CATEGORY}';					$values[] = $data['category'];
							$vars[] = '{COMPANY}';					$values[] = $data['company'];
							$vars[] = '{SHORT_DESC}';				$values[] = $data['position_description'];
							$vars[] = '{FULL_DESC}';				$values[] = $data['full_description'];
							$vars[] = '{FULL_DESC_BR}';				$values[] = nl2br($data['full_description']);
							$vars[] = '{LOCATION}';					$values[] = $data['location'];
							$vars[] = '{COUNTRY}';					$values[] = $data['country'];
							$vars[] = '{EDUCATION}';				$values[] = $data['education'];
							$vars[] = '{RESOURCE_MANAGER}';			$values[] = $data['resource_manager'];
							$message = file_get_contents(dirname(__FILE__).'/templates/mailmessage.htt');
							$message = str_replace($vars, $values, $message);

							$subject = $JT['_MAIL_SUBJECT'];
							$fromname = $contact_name;
							$fromaddress = $email;
							$to = $data['notification_address'];
							$wb->mail($fromaddress,$to,$subject,$message);
						}
					}

					$success_msg = $JT['R_SUCCES'];
					
				}else{
					$err =1;
					$error_msg = $JT['R_ERROR_1'];
				}
			}else{
				$error_msg = $JT['R_ERROR_2'];
				$err =1;
			}
		}else{
			$error_msg = $JT['R_ERROR_3'];
			$err =1;
		}

	}

} else {
	$vars[] = '{STYLE_FORM}'; 	$values[] = 'display:none;';
	$vars[] = '{STYLE_LINK}'; 	$values[] = 'display:inline;';
}

if ($success_msg) {
	$vars[] = '{STYLE_SUCCESS}'; 	$values[] = 'color:green;';
	$vars[] = '{MESSAGE}'; 			$values[] = $success_msg;
	$contact_name = '';
	$home_phone = '';
	$cell_phone = '';
	$city = '';
	$country = '';
	$email = '';
	$state = '';
	$zip = '';
	$comment = '';
} else if($error_msg) {
	$vars[] = '{STYLE_SUCCESS}'; 	$values[] = 'color:red;';
	$vars[] = '{MESSAGE}'; 			$values[] = $error_msg;
} else {
	$vars[] = '{STYLE_SUCCESS}'; 	$values[] = 'display:none;';
	$vars[] = '{MESSAGE}'; 			$values[] = '';
}
$tmpr = explode('?',$_SERVER['SCRIPT_NAME']);
$vars[] = '{URL}';			$values[] = $tmpr[0];
$vars[] = '{RETURN}';		$values[] = $tmpr[0];


$sql_result = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_jobs` WHERE id='$id' AND (`active`='1' OR `visible`='1') LIMIT 1");
if($sql_result && $sql_result->numRows() == 1) {
	$data = $sql_result->fetchRow();
	$vars[] = '{ID}';						$values[] = $data['id'];
	$vars[] = '{SECTION_ID}';				$values[] = $data['section_id'];
	$vars[] = '{PAGE_ID}';					$values[] = $data['page_id'];
	$vars[] = '{ACTIVE}';					$values[] = $data['active'];
	$vars[] = '{JOB_ID}';					$values[] = $data['job_id'];
	$vars[] = '{CATEGORY}';					$values[] = $data['category'];
	$vars[] = '{COMPANY}';					$values[] = $data['company'];
	$vars[] = '{SHORT_DESC}';				$values[] = $data['position_description'];
	$vars[] = '{FULL_DESC}';				$values[] = $data['full_description'];
	$vars[] = '{FULL_DESC_BR}';				$values[] = nl2br($data['full_description']);
	$vars[] = '{LOCATION}';					$values[] = $data['location'];
	$vars[] = '{COUNTRY}';					$values[] = $data['country'];
	$vars[] = '{EDUCATION}';				$values[] = $data['education'];
	$vars[] = '{RESOURCE_MANAGER}';			$values[] = $data['resource_manager'];
	$vars[] = '{NOTIFICATION_ADDRESS}';		$values[] = $data['notification_address'];
	$vars[] = '{START_DATE}';				$values[] = $data['start_date'];
	$vars[] = '{HOURS}';					$values[] = $data['hours'];
	$vars[] = '{TIMESTAMP}';				$values[] = date(DATE_FORMAT.' - '.TIME_FORMAT,$data['timestamp']);
	$vars[] = '{TIMESTAMP_DATE}';			$values[] = date(DATE_FORMAT,$data['timestamp']);
	$vars[] = '{TIMESTAMP_TIME}';			$values[] = date(TIME_FORMAT,$data['timestamp']);
	$vars[] = '{LAST_UPDATE}';				$values[] = date(DATE_FORMAT.' - '.TIME_FORMAT,$data['last_update']);
	$vars[] = '{LAST_UPDATE_DATE}';			$values[] = date(DATE_FORMAT,$data['last_update']);
	$vars[] = '{LAST_UPDATE_TIME}';			$values[] = date(TIME_FORMAT,$data['last_update']);
	
	$vars[] = '{R_CONTACT_NAME}';			$values[] = htmlspecialchars(stripslashes($contact_name));
	$vars[] = '{R_HOME_PHONE}';				$values[] = htmlspecialchars(stripslashes($home_phone));
	$vars[] = '{R_CELL_PHONE}';				$values[] = htmlspecialchars(stripslashes($cell_phone));
	$vars[] = '{R_CITY}';					$values[] = htmlspecialchars(stripslashes($city));
	$vars[] = '{R_COUNTRY}';				$values[] = htmlspecialchars(stripslashes($country));
	$vars[] = '{R_EMAIL}';					$values[] = htmlspecialchars(stripslashes($email));
	$vars[] = '{R_STATE}';					$values[] = htmlspecialchars(stripslashes($state));
	$vars[] = '{R_ZIP}';					$values[] = htmlspecialchars(stripslashes($zip));
	$vars[] = '{R_COMMENT}';				$values[] = htmlspecialchars(stripslashes($comment));

	$output = file_get_contents(dirname(__FILE__).'/templates/view_detail.htt');
	$output = str_replace($vars, $values, $output);
	echo $output;
} else {
	$output = file_get_contents(dirname(__FILE__).'/templates/error.htt');
	$output = str_replace($vars, $values, $output);
	echo $output;
}
//done





?>