<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */
if(file_exists(dirname(__FILE__).'/../../config.php')) {
	require_once(dirname(__FILE__).'/../../config.php');
} else {
	require_once(dirname(__FILE__).'/config.php');
}	
if(!defined('WB_PATH')) {die();}

$limit = 15;  //Change this if you need more or less items returned
$output_array = array();

$coufilter = isset($_REQUEST['country'])  ? addslashes($_REQUEST['country'])  : '' ;
$locfilter = isset($_REQUEST['location']) ? addslashes($_REQUEST['location']) : '' ;
$catfilter = isset($_REQUEST['category']) ? addslashes($_REQUEST['category']) : '' ;
$comfilter = isset($_REQUEST['company'])  ? addslashes($_REQUEST['company'])  : '' ;
$morewhere  = $coufilter ? " AND `country` = '$coufilter'" : '';
$morewhere .= $locfilter ? " AND `location` = '$locfilter'" : '';
$morewhere .= $catfilter ? " AND `category` = '$catfilter'" : '';
$morewhere .= $comfilter ? " AND `company`  = '$comfilter'" : '';
$result = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_jobs` WHERE `active` = '1' $morewhere ORDER BY `id` DESC");

if ($result && $result->numRows() > 0) {
	while($page = $result->fetchRow()){
		$title = $page['position_description'];
		$category = $page['category'];
		$country = $page['country'];
		$location = $page['location'];
		$lastchange = date("d-m-y, H:i", $page['modified_when']);
		$pubDate = date('r', $page['timestamp']);
		$desc = strip_tags($page['full_description'],'<br><br/><br /><p>');
		$page_url = GetPageLink($page['page_id']).'?j='.dechex(51893 * $page['id']);
		if (strlen($desc) > 500) $desc = substr($desc,0,500).'.....';
		$desc = '<p><strong>'.$category.' / '.$location.' / '.$country.'</strong></p>'.$desc;
		$lin = '<item>'; 
		$lin .=  "\n\t\t".'<title><![CDATA['.$title.']]></title>'; 
		$lin .=  "\n\t\t".'<link>'.$page_url.'</link>'; 
		$lin .=  "\n\t\t".'<description><![CDATA['.$desc.']]></description>'; 
		$lin .=  "\n\t\t".'<category><![CDATA['.$category.']]></category>'; 
		$lin .=  "\n\t\t".'<author>'.WEBSITE_TITLE.'</author>'; 
		$lin .=  "\n\t\t".'<pubDate>'.$pubDate.'</pubDate>'; 
		$lin .=  "\n\t".'</item>';
		$output_array[] = $lin;
	} 
}

header("Content-type: text/xml");
echo '<?xml version="1.0" encoding="ISO-8859-1"?>';
echo "\n".'<rss version="2.0">';
echo "\n".'<channel>'; 
echo "\n\t".'<title><![CDATA['.WEBSITE_TITLE.']]></title>';    
echo "\n\t".'<link>'.WB_URL.'</link>';   
echo "\n\t".'<description></description>'; 
foreach ($output_array as $o){
  echo $o;
}
echo "\n".'</channel>';
echo "\n".'</rss>';	

function GetUserName ($userId) {
	global $database;
	$result = $database->query("SELECT display_name	FROM " . TABLE_PREFIX . "users WHERE `user_id` = $userId");
	if ($result && $result->numRows() == 1) {
		$udata = $result->fetchRow();
		return $udata['display_name'];
	} else {
		return "unknown";
	}
}
function GetPageLink ($page_id) {
	global $database;
	$link = $database->get_one("SELECT link	FROM " . TABLE_PREFIX . "pages WHERE `page_id` = $page_id");
	return WB_URL.PAGES_DIRECTORY.$link.PAGE_EXTENSION;
}
?>