<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

// manually include the config.php file (defines the required constants)
require($_SERVER['DOCUMENT_ROOT'].'/config.php');
require(WB_PATH.'/modules/admin.php');

if (isset($_GET['del_id'])) {
	$del_id = intval($_GET['del_id']);
	$sql_query = "delete from " .TABLE_PREFIX ."mod_jobs where id='$del_id'";
	$database->query($sql_query);
} else {
	$id = $admin->get_post_escaped('id');
	$page_id = $admin->get_post_escaped('page_id');
	$section_id = $admin->get_post_escaped('section_id');
	$job_id = $admin->get_post_escaped('job_id');
	$active = $admin->get_post_escaped('active');
	$visible = $admin->get_post_escaped('visible');
	$fulldesc = $admin->get_post_escaped('full_description');
	$company = $admin->get_post_escaped('company');
	$country = $admin->get_post_escaped('country');
	$category = $admin->get_post_escaped('category');
	$position_description = $admin->get_post_escaped('position_description');
	$location = $admin->get_post_escaped('location');
	$resource_manager = $admin->get_post_escaped('resource_manager');
	$notification_address = $admin->get_post_escaped('notification_address');
	$education = $admin->get_post_escaped('education');
	$start_date = $admin->get_post_escaped('start_date');
	$hours = $admin->get_post_escaped('hours');
	$now = time();
	if(!$id) {
		$sql_query = "INSERT INTO `" .TABLE_PREFIX ."mod_jobs` ( `section_id` , `page_id`, `timestamp` ) VALUES ( '$section_id', '$page_id', '$now')";
		$database->query($sql_query);
		$id = $database->get_one("SELECT LAST_INSERT_ID()");
	}
	$sql_query = "UPDATE`" .TABLE_PREFIX ."mod_jobs` set 
		`job_id` = '$job_id', 
		`position_description` = '$position_description' , 
		`full_description` = '$fulldesc' , 
		`active` = '$active' , 
		`visible` = '$visible' , 
		`company` = '$company' , 
		`category` = '$category' , 
		`location` = '$location' , 
		`country` = '$country' , 
		`resource_manager` = '$resource_manager' ,
		`education` = '$education' ,
		`start_date` = '$start_date' ,
		`last_update` = '$now' ,
		`hours` = '$hours' ,
		`notification_address` = '$notification_address' 
		where `id`='$id'";
	$database->query($sql_query);
}

if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success("Updated Successfully", ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
$admin->print_footer()
?>